/*
    FEARLUS/SPOM 1-1-4: CBRAdviceSubPopulation.h
    Copyright (C) 2007  Macaulay Institute

    This file is part of FEARLUS/SPOM 1-1-4, an agent-based model of land use
    change and stochastic patch occupancy model.

    FEARLUS/SPOM 1-1-4 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS/SPOM 1-1-4 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/
/*
 * Interface for the CBRAdviceSubPopulation class, the subpopulation class
 * for CBRAdviceLandManager instances, adding parameters for the advice
 * strategy and case base limits.
 */

#import "CBRStrategySubPopulation.h"
#import "AbstractAdviceStrategy.h"

@class CBRAdviceLandManager, Parameter;

@interface CBRAdviceSubPopulation: CBRStrategySubPopulation {
  @public

  // Case base time limit

  int CBTimeLimitMin;
  int CBTimeLimitMax;

  // Case base size limit

  int CBSizeLimitMin;
  int CBSizeLimitMax;

  // Advice strategy class

  char *adviceStrategy;
}

+(Class)getLandManagerClass;
-(int)getACaseBaseTimeLimit;
-(int)getACaseBaseSizeLimit;
-(AbstractAdviceStrategy *)getAdviceStrategyFor: (CBRAdviceLandManager *)lm
                                     parameters: (Parameter *)p;
-loadFromFileNamed: (const char *)filename;
-(void)write: (FILE *)fp parameters: (Parameter *)parameter;

@end
