/*
    FEARLUS/SPOM 1-1-4: ClusterActivityGovernment.h
    Copyright (C) 2007  Macaulay Institute

    This file is part of FEARLUS/SPOM 1-1-4, an agent-based model of land use
    change and stochastic patch occupancy model.

    FEARLUS/SPOM 1-1-4 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS/SPOM 1-1-4 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/
/* A class rewarding for a set of land uses in proportion to the area of
 * neighbouring parcels using the same land use
 */

#import "AbstractActivityGovernment.h"

@interface ClusterActivityGovernment: AbstractActivityGovernment {
  double reward;
  double nbr_reward;
}

+(void)writeParameters: (FILE *)fp;
+(BOOL)setParameter: (const char *)param to: (const char *)value;
-configure;
-(void)calculateRewardsOrFines;
-(void)administerRewards;

@end
