/*
    FEARLUS/SPOM 1-1-4: Collective.h
    Copyright (C) 2007  Macaulay Institute

    This file is part of FEARLUS/SPOM 1-1-4, an agent-based model of land use
    change and stochastic patch occupancy model.

    FEARLUS/SPOM 1-1-4 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS/SPOM 1-1-4 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/
/* A class to store a collection and return various statistics from a
 * certain method from which to obtain data from members of the collection
 */

#import <objectbase/SwarmObject.h>

@interface Collective: SwarmObject {
  id <Collection> collective;
  SEL data_source;
  char *label;
}

+create: z collective: (id <Collection>)c dataSource: (SEL)d;
-(void)setLabel: (const char *)str;
-(const char *)getLabel;
-(double)min;
-(double)max;
-(double)mean;
-(double)variance;
-(double)median;
-(double)total;
-(void)drop;

@end

