/*
    FEARLUS/SPOM 1-1-4: LTSymbol.h
    Copyright (C) 2007  Macaulay Institute

    This file is part of FEARLUS/SPOM 1-1-4, an agent-based model of land use
    change and stochastic patch occupancy model.

    FEARLUS/SPOM 1-1-4 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS/SPOM 1-1-4 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/
/*

Interface for LTSymbol class. This just stores the subgroup it belongs to,
the text for the symbol, and its pin.

*/

#import "FearlusThing.h"

@class LTSubgroup;

@interface LTSymbol: FearlusThing {

  LTSubgroup *subgroup;		/* Subgroup that the symbol belongs to */
  char *name;			/* Symbol name or label */

  int pin;			/* Unique ID for this Symbol */

}

+create: aZone subgroup: (LTSubgroup *)subgp;

-(void)printSymbol: (int)indent;

-setName: (char *)n;
-(char *)getName;
-(int)getPin;
-(LTSubgroup *)getSubgroup;

/*
-(BOOL)equal: (LTSymbol *)another;
*/

-(void)drop;

@end
