/*
    FEARLUS/SPOM 1-1-4: NeighbourDisapprovalEvent.m
    Copyright (C) 2007  Macaulay Institute

    This file is part of FEARLUS/SPOM 1-1-4, an agent-based model of land use
    change and stochastic patch occupancy model.

    FEARLUS/SPOM 1-1-4 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS/SPOM 1-1-4 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/

/* Implementation of the NeighbourDisapprovalEvent class
 */

#import "NeighbourDisapprovalEvent.h"
#import "AbstractSocialLandManager.h"
#import <objc/objc-api.h>
#import <stdlib.h>

@implementation NeighbourDisapprovalEvent

/* initialise
 *
 * Check that the land manager responds to all the required selectors
 */

-(void)initialise {
  if(![land_manager respondsTo: M(getDisapproval)]) {
    fprintf(stderr, "%s configured for incompatible land manager of class "
	    "%s\n", object_get_class_name(self),
	    object_get_class_name(land_manager));
    abort();
  }
}

/* occurred -> Boolean
 *
 * Find out from the land manager if the event has occurred.
 */

-(BOOL)occurred {
  return ([land_manager getDisapproval] > 0.0) ? YES : NO;
}

@end
