/*
    FEARLUS/SPOM 1-1-4: NetworkDistributionReport.h
    Copyright (C) 2007  Macaulay Institute

    This file is part of FEARLUS/SPOM 1-1-4, an agent-based model of land use
    change and stochastic patch occupancy model.

    FEARLUS/SPOM 1-1-4 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS/SPOM 1-1-4 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/

/* NetworkDistributionReport
 *
 * This class allows reports to be created showing a distribution of a
 * particular network. The user specifies the network they want as a parameter.
 * The result is a bar chart depicting the number of land managers having
 * a specified number of outward connections in the network.
 */

#import "AbstractReport.h"

@interface NetworkDistributionReport: AbstractReport {
  char *network;
}

+create: aZone;
-(void)reportForYear: (unsigned)year toFile: (FILE *)fp;
-(void)reportNetwork: (const char *)net
             forYear: (unsigned)year
              toFile: (FILE *)fp;
-(SEL)getLinkMethod: (const char *)net arg: (BOOL *)arg directed: (BOOL *)dir;
-(int **)getLinksMatrixFor: (SEL)method arg: (BOOL)arg zone: (id <Zone>)z;
-(BOOL)setOption: (char *)option toValue: (char *)value;
-(void)drop;

@end
