/*
    FEARLUS/SPOM 1-1-4: NoRewardEvent.h
    Copyright (C) 2007  Macaulay Institute

    This file is part of FEARLUS/SPOM 1-1-4, an agent-based model of land use
    change and stochastic patch occupancy model.

    FEARLUS/SPOM 1-1-4 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS/SPOM 1-1-4 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/

/* This event is activated when the Government doesn't give a reward
 * to the land manager. It relies on the harvest method being called
 * from the schedule to the AbstractLandManager class, so subclasses
 * of AbstractLandManager that override the harvest method will either
 * need to call [super harvest], or manage the rewardedByGovernment
 * instance variable themselves.
 */

#import "AbstractEvent.h"

@interface NoRewardEvent: AbstractEvent {
}

-(void)initialise;
-(BOOL)occurred;

@end
