/*
    FEARLUS/SPOM 1-1-4: OWLOntology.h
    Copyright (C) 2007  Macaulay Institute

    This file is part of FEARLUS/SPOM 1-1-4, an agent-based model of land use
    change and stochastic patch occupancy model.

    FEARLUS/SPOM 1-1-4 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS/SPOM 1-1-4 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/
/* Class to output an OWL ontology of the structure of the software, and/or
 * instances. To use it, call one of the create methods, then optionally the
 * import method (if you want the ontology to consist of individuals only,
 * with the classes in the imported ontology). Then call the metadata method.
 * Then call the methods to add classes and/or individuals as appropriate.
 * THen call drop.
 */

#import <objectbase/SwarmObject.h>

@class AssocArray, FearlusStream;

@interface OWLOntology: SwarmObject {
  char *filename;
  // Could have assoc array of properties so class name does not have
  // to be attached to properties unless there is ambiguity
  AssocArray *individuals;
  AssocArray *classes;
  AssocArray *indiv_classes;
  FearlusStream *owl;
  char *import;
  char *uri;
}

+create: z;			// Do not call this to create an OWLOntology
+create: z filename: (const char *)f;
+create: z file: (const char *)f uri: (const char *)myuri;
+create: z prefix: (const char *)f time: (unsigned)t maxtime: (unsigned)max;

-(const char *)getFileName;

-(void)import: (const char *)u;
-(void)metadata;

-(void)addClass: (Class)cls;
-(void)addClassRecursively: (Class)cls;
//-(void)addClass: (Class)cls probeMap: pmap;
-(void)addInstance: obj;
-(void)addInstanceRecursively: obj;
-(void)addInstanceClass: obj;
-(void)addInstanceClassRecursively: obj;
//-(void)addInstanceClass: obj probeMap: pmap;

-(void)drop;

@end
