/*
    FEARLUS/SPOM 1-1-4: SortNbrSubsetActivityGovernment.h
    Copyright (C) 2007  Macaulay Institute

    This file is part of FEARLUS/SPOM 1-1-4, an agent-based model of land use
    change and stochastic patch occupancy model.

    FEARLUS/SPOM 1-1-4 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS/SPOM 1-1-4 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/
/* A class rewarding for a set of land uses with a fixed budget. A fixed
 * reward is used that can be given up to a specified number of
 * times. Managers are only eligible for an award if at least a
 * threshold number of neighbouring parcels have the land use. Awards are
 * made in descending order of number of neighbouring parcels.
 */

#import "SortSubsetActivityGovernment.h"

@interface SortNbrSubsetActivityGovernment: SortSubsetActivityGovernment {
  int n_nbrs;
}

+(void)writeParameters: (FILE *)fp;
+(BOOL)setParameter: (const char *)param to: (const char *)value;
-(void)addReward: (double)reward
              to: (AbstractLandManager *)lm
          reason: lu
  withNeighbours: (int)nbrs;
-configure;
-(void)calculateRewardsOrFines;
-(void)administerRewards;

@end
