/*
    FEARLUS/SPOM 1-1-4: SpatialAutocorrelationReport.h
    Copyright (C) 2007  Macaulay Institute

    This file is part of FEARLUS/SPOM 1-1-4, an agent-based model of land use
    change and stochastic patch occupancy model.

    FEARLUS/SPOM 1-1-4 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS/SPOM 1-1-4 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/

/* SpatialAutocorrelationReport
 *
 * This class allows reports to be created showing the spatial autocorrelation
 * of a particular value. The user specifies what data they want sampled.
 */

#import "AbstractReport.h"

@interface SpatialAutocorrelationReport: AbstractReport {
  char *space;
  int n_samples;
}

+create: aZone;
-(double)getIndex: (double *)x weights: (double **)w size: (int)n;
-(void)permuteData: (double *)x size: (int)n into: (double *)y;
-(void)reportForYear: (unsigned)year toFile: (FILE *)fp;
-(void)reportSpace: (const char *)sp
           forYear: (unsigned)year
            toFile: (FILE *)fp;
-(SEL)getSpatialData: (const char *)data;
-(double **)getWeights: (SEL)method data: (double **)data zone: (id <Zone>)z;
-(BOOL)setOption: (char *)option toValue: (char *)value;
-(void)drop;

@end
