/*
    FEARLUS/SPOM 1-1-4: TimeSeries.h
    Copyright (C) 2007  Macaulay Institute

    This file is part of FEARLUS/SPOM 1-1-4, an agent-based model of land use
    change and stochastic patch occupancy model.

    FEARLUS/SPOM 1-1-4 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS/SPOM 1-1-4 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/
/* TimeSeries
 *
 * Store data in a time series
 */

#import <objectbase/SwarmObject.h>

@interface TimeSeries: SwarmObject {
  id origin;			// The object to call to get the data
  SEL source;			// The method to call in the object
  id <List> time_series;	// The time series
  char *title;			// A label for the time series
}

+create: z;
+create: z from: obj using: (SEL)method name: (const char *)title;
-(const char *)getName;
-(double *)getTimeSeries: z length: (int *)len;
-(void)populate;
-(void)drop;

@end
